pkregann(1)

NAME
pkregann - regression with artificial neural network (multi-layer perceptron)

SYNOPSIS
pkregann
-i input -t training [-ic col] [-oc col] -o output [options] [advanced options]

DESCRIPTION
pkregann performs a regression based on an artificial neural network. The regression is trained from the input (\FC-ic\F[]) and output (\FC-oc\F[]) columns in a training text file. Each row in the training file represents one sampling unit. Multi-dimensional input features can be defined with multiple input options (e.g., \FC-ic\F[] 0 \FC-ic\F[] 1 \FC-ic\F[] 2 for three dimensional features).

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    input ASCII file

\FC-t\F[] filename, \FC--training\F[] filename
    training ASCII file (each row represents one sampling unit. Input features should be provided as columns, followed by output)

\FC-o\F[] filename, \FC--output\F[] filename
    output ASCII file for result

\FC-ic\F[] col, \FC--inputCols\F[] col
    input columns (e.g., for three dimensional input data in first three columns use: \FC-ic\F[] 0 \FC-ic\F[] 1 \FC-ic\F[] 2

\FC-oc\F[] col, \FC--outputCols\F[] col
    output columns (e.g., for two dimensional output in columns 3 and 4 (starting from 0) use: \FC-oc\F[] 3 \FC-oc\F[] 4

\FC-from\F[] row, \FC--from\F[] row
    start from this row in training file (start from 0)

\FC-to\F[] row, \FC--to\F[] row
    read until this row in training file (start from 0 or set leave 0 as default to read until end of file)

\FC-cv\F[] size, \FC--cv\F[] size
    n-fold cross validation mode

\FC-nn\F[] number, \FC--nneuron\F[] number
    number of neurons in hidden layers in neural network (multiple hidden layers are set by defining multiple number of neurons: \FC-n\F[] 15 \FC-n\F[] 1, default is one hidden layer with 5 neurons)

\FC-v\F[] level, \FC--verbose\F[] level
    set to: 0 (results only), 1 (confusion matrix), 2 (debug)

Advanced options

\FC--offset\F[] value
    offset value for each spectral band input features: \FCrefl[band]=(DN[band]-offset[band])/scale[band]\F[]

\FC--scale\F[] value
    scale value for each spectral band input features: \FCrefl=(DN[band]-offset[band])/scale[band]\F[] (use \FC0\F[] if scale min and max in each band to \FC-1.0\F[] and \FC1.0\F[])

\FC--connection\F[] rate
    connection rate (default: 1.0 for a fully connected network)

\FC-l\F[] rate, \FC--learning\F[] rate
    learning rate (default: 0.7)

\FC--maxit\F[] number
    number of maximum iterations (epoch) (default: 500)